# Record TCefMediaRouteCreateCallback

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFTypes

## Declaration

`type TCefMediaRouteCreateCallback = record`

## Description

Callback structure for ICefMediaRouter.CreateRoute. The functions of this structure will be called on the browser process UI thread.

NOTE: This struct is allocated client-side.

Implemented by ICefMediaRouteCreateCallback.

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_media_router_capi.h">CEF source file: /include/capi/cef_media_router_capi.h (cef_media_route_create_callback_t))

## Overview

### Fields

| `base: TCefBaseRefCounted;`
| `on_media_route_create_finished: procedure(self: PCefMediaRouteCreateCallback; result: TCefMediaRouterCreateResult; const error: PCefString; route: PCefMediaRoute); stdcall;`

## Description

### Fields

| `base: TCefBaseRefCounted;`
This item has no description.

| `on_media_route_create_finished: procedure(self: PCefMediaRouteCreateCallback; result: TCefMediaRouterCreateResult; const error: PCefString; route: PCefMediaRoute); stdcall;`
This item has no description.

Generated by PasDoc 0.17.0.snapshot.